%script calling the objective function

close all; clear all; clc

end_date = 2300;
years      = [2010:5:end_date]';

%nb_periods = (end_date-2010)/5+1;
%InputFile = [pwd,'\INPUT_MIU_INIT.xlsx'];
%MIU0 = xlsread(InputFile,'MIU'); 
%MIU0 = MIU0(:,2); 
%temp = nb_periods+1;
%MIU0 = MIU0(1:temp);
%MIU0 = round(MIU0*1e3)/1e3;

A   =  [];
B   =  []; % the linear inequality constraints: A*X <= B
Aeq =  [];
Beq =  []; % the linear equality constraints: Aeq*X = B
temp = (end_date-2010)/5+2;
lb  =  zeros(temp,1); 
ub  =  ones(temp,1); % LB <= X <= UB

options = gaoptimset('TolFun',1e-14);

%opts = optimset('Display','iter','Algorithm','sqp','MaxFunEval',inf,'MaxIter',Inf);

[x,fval]=ga(@fitnessfcn_NOPCF_QUAD,61,A,B,Aeq,Beq,lb,ub,[],options);

warning off MATLAB:xlswrite:AddSheet;
filename = [pwd,'\OUTPUT_OPT_MIU_NOPCF_QUAD.xlsx'];
    
    
sheet      = ['OPT_MIU_NOPCF_QUAD_GA'];
data       = x';
data(end)  = [];
data(end)  = [];
data       = [years data];
data_cells = num2cell(data);
xlswrite(filename,data_cells,sheet,'A1');