function [ ] = Function_SCC_MC_DATA(QUADRATIC, WEITZMAN, SCC_PCF_const_MC_QUADRATIC, SCC_PCF_ram_MC_QUADRATIC, SCC_PCF_const_MC_WEITZMAN, SCC_PCF_ram_MC_WEITZMAN)

%--------------------------------------------------------------------------

    warning off MATLAB:xlswrite:AddSheet;
    
    
    if QUADRATIC ==1
        filename = [pwd,'\OUTPUT_SCC_DATA_QUADRATIC_PCF.xlsx'];
        
        sheet      = ['SCC_DATA_CONST_QUADRATIC'];
        data       = SCC_PCF_const_MC_QUADRATIC(:,2);
        data = data';
        data_cells = num2cell(data);
        xlswrite(filename,data_cells,sheet,'A1');
    
        sheet      = ['SCC_DATA_RAM_QUADRATIC'];
        data       = SCC_PCF_ram_MC_QUADRATIC(:,2);
        data = data';
        data_cells = num2cell(data);
        xlswrite(filename,data_cells,sheet,'A1');
        
        
        
    elseif WEITZMAN == 1
        filename = [pwd,'\OUTPUT_SCC_DATA_WEITZMAN_PCF.xlsx'];
        
        sheet      = ['SCC_DATA_CONST_WEITZMAN'];
        data       = SCC_PCF_const_MC_WEITZMAN(:,2);
        data = data';
        data_cells = num2cell(data);
        xlswrite(filename,data_cells,sheet,'A1')
        
        sheet      = ['SCC_DATA_RAM_WEITZMAN'];
        data       = SCC_PCF_ram_MC_WEITZMAN(:,2);
        data = data';
        data_cells = num2cell(data);
        xlswrite(filename,data_cells,sheet,'A1')        
        
    end

    
%--------------------------------------------------------------------------                            



end

